//
//  MainMenuView.swift
//  DouShouQi_App
//
//  Created by Rémi REGNAULT on 16/05/2024.
//

import SwiftUI

struct MainMenuView: View {
    var body: some View {
        VStack {
            TitlePageFrame(Text: "DOU SHOU QI", ImageWidth: 200, ImageHeight: 200)
            Spacer()
            
            VStack {
                HStack{
                    VStack(spacing: 25) {
                        MainMenuButton(text: "Play", horizontalAlignment: .leading, topRightCorner: 10, bottomRightCorner: 10)
                        MainMenuButton(text: "Historique", horizontalAlignment: .leading, topRightCorner: 10, bottomRightCorner: 10)
                        MainMenuButton(text: "Best Scores", horizontalAlignment: .leading, topRightCorner: 10, bottomRightCorner: 10)
                        MainMenuButton(text: "Players", horizontalAlignment: .leading, topRightCorner: 10, bottomRightCorner: 10)
                    }
                    Image(AppImages.SemiLion)
                        .resizable()
                        .aspectRatio(contentMode: .fit)
                        .frame(width: 200, height: 500)
                }
                
            }
            Spacer()
            HStack {
                Text("Copyright @")
                    .font(.headline)
                    .frame(alignment: .trailing)
                
                Text("Dou Shou Qi Team")
                
                Spacer()
                
                Text("2024")
                    .frame(alignment: .trailing)
            }
            .padding() // Ajout de padding pour éviter que le contenu ne touche la bordure
            .background(Color.white) // Couleur de fond pour le HStack
            .overlay(
                Rectangle()
                    .stroke(Color.black, lineWidth: 1) // Couleur et épaisseur de la bordure
            )
            
            Spacer()
        }
    }
}

struct MainMenuView_Previews: PreviewProvider {
    static var previews: some View {
        MainMenuView()
    }
}
